'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = _interopDefault(require('prop-types'));

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var Tab = function (_Component) {
  inherits(Tab, _Component);

  function Tab() {
    classCallCheck(this, Tab);
    return possibleConstructorReturn(this, (Tab.__proto__ || Object.getPrototypeOf(Tab)).apply(this, arguments));
  }

  createClass(Tab, [{
    key: 'render',
    value: function render() {
      return this.props.children;
    }
  }]);
  return Tab;
}(React.Component);

Tab.PropsTypes = {
  name: PropTypes.string
};

var Tabs = function (_Component2) {
  inherits(Tabs, _Component2);

  function Tabs() {
    var _ref;

    var _temp, _this2, _ret;

    classCallCheck(this, Tabs);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this2 = possibleConstructorReturn(this, (_ref = Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call.apply(_ref, [this].concat(args))), _this2), _this2.state = {
      tabContent: 'Tab Content',
      tabIndex: 0
    }, _temp), possibleConstructorReturn(_this2, _ret);
  }

  createClass(Tabs, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      var tabContent = this.props.children[0].props.children;
      this.setState({ tabContent: tabContent });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var tabIndex = this.state.tabIndex;

      var tabButtons = this.props.children.map(function (_ref2, i) {
        var _ref2$props = _ref2.props,
            tab = _ref2$props.name,
            tabContent = _ref2$props.children;
        return React__default.createElement(
          'li',
          {
            className: 'tab-btn ' + (i === tabIndex ? 'active' : ''),
            onClick: function onClick() {
              return _this3.setState({ tabContent: tabContent, tabIndex: i });
            },
            key: i
          },
          tab
        );
      });

      return React__default.createElement(
        'div',
        { className: 'reactjs-tab' },
        React__default.createElement(
          'ul',
          { className: 'tab-btn-navs' },
          tabButtons
        ),
        React__default.createElement(
          'div',
          { className: 'tab-content' },
          this.state.tabContent
        )
      );
    }
  }]);
  return Tabs;
}(React.Component);

exports.Tabs = Tabs;
exports.Tab = Tab;
//# sourceMappingURL=index.js.map
